### Method

# AppStream Pool get_components_by_categories

#### Declaration [src]

    AsComponentBox*
    as_pool_get_components_by_categories (
      AsPool* pool,
      gchar** categories
    )

#### Description [src]

Return a list of components which are in all of the categories.

#### Parameters

`categories`

  Type: An array of `gchar*`

  An array of XDG categories to include.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentBox`

An `AsComponentBox` of found components.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.